<script>
export default {
  name: 'TableLegend',
};
</script>

<template>
  <div class="footer">
    <div class="legend">
      <SlpTypography tag="p" variant="body3-bold">
        Feature maturity key:
      </SlpTypography>
      <div class="legend-items">
        <SlpTypography
          id="mature-feature"
          tag="p"
          class="existing"
          variant="body3-bold"
          >Existing</SlpTypography
        ><SlpTypography
          id="mature-feature"
          tag="p"
          class="planned"
          variant="body3-bold"
          >Planned</SlpTypography
        >
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.legend {
  margin-top: $spacing-24;

  .legend-items {
    border: 1px solid $color-surface-600;
    border-radius: 4px;
    padding: $spacing-16;
    display: flex;
    flex-direction: column;
    width: fit-content;
    margin-top: $spacing-8;
  }

  .existing,
  .planned {
    font-size: 13px;
    margin-bottom: $spacing-4;
  }
}
</style>
